## ros-humble-quaternion-operation 0.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(quaternion_operation)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_XX_FLAGS} -pthread")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_auto REQUIRED)

ament_auto_find_build_dependencies()

find_package(Threads REQUIRED)
find_package(Eigen3 REQUIRED)

include_directories(
  include
  ${EIGEN3_INCLUDE_DIR}
)

add_library(quaternion_operation SHARED src/quaternion_operation.cpp)
target_link_libraries(quaternion_operation Eigen3::Eigen Threads::Threads pthread)
ament_target_dependencies(quaternion_operation rclcpp geometry_msgs tf2_ros)
ament_export_targets(export_quaternion_operation HAS_LIBRARY_TARGET)
ament_export_libraries(quaternion_operation)

# install executables/libs
install(
  TARGETS quaternion_operation
  EXPORT export_quaternion_operation
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

# Install header files
install(
  DIRECTORY "include/"
  DESTINATION include
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(test_quaternio_operation test/src/test_quaternion_operation.cpp)
  target_link_libraries(test_quaternio_operation quaternion_operation Threads::Threads pthread)
endif()

ament_export_dependencies(
  tf2_ros
  rclcpp
  geometry_msgs
  Eigen3
  Threads
)
ament_export_include_directories(include)
ament_package()

=== debian/changelog ===
ros-humble-quaternion-operation (0.0.11-1jammy) jammy; urgency=high

  * Add ament_lint_auto dependency to package.xml. (#58 <https://github.com/OUXT-Polaris/quaternion_operation/issues/58>)
  * Setup workflow (#59 <https://github.com/OUXT-Polaris/quaternion_operation/issues/59>)
  * Release 0.0.10 (#57 <https://github.com/OUXT-Polaris/quaternion_operation/issues/57>)
    * Update changelog
    * 0.0.10
  * Contributors: Steven! Ragnarök, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Wed, 09 Feb 2022 15:00:00 -0000

ros-humble-quaternion-operation (0.0.10-1jammy) jammy; urgency=high

  * Fix/workflow (#55 <https://github.com/OUXT-Polaris/quaternion_operation/issues/55>)
  * Release 0.0.9 (#54 <https://github.com/OUXT-Polaris/quaternion_operation/issues/54>)
  * enable auto-merge PR (#52 <https://github.com/OUXT-Polaris/quaternion_operation/issues/52>)
  * Release 0.0.8 (#51 <https://github.com/OUXT-Polaris/quaternion_operation/issues/51>)
  * Merge pull request #47 <https://github.com/OUXT-Polaris/quaternion_operation/issues/47> from OUXT-Polaris/feature/bloom_release
  * change target branch
  * Merge pull request #45 <https://github.com/OUXT-Polaris/quaternion_operation/issues/45> from OUXT-Polaris/feature/bloom_release
  * remove old workflow
  * Merge pull request #44 <https://github.com/OUXT-Polaris/quaternion_operation/issues/44> from OUXT-Polaris/feature/bloom_release
  * add new action
  * Contributors: Masaya Kataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Thu, 30 Dec 2021 15:00:00 -0000

ros-humble-quaternion-operation (0.0.9-1jammy) jammy; urgency=high

  * enable auto-merge PR (#52 <https://github.com/OUXT-Polaris/quaternion_operation/issues/52>)
  * Release 0.0.8 (#51 <https://github.com/OUXT-Polaris/quaternion_operation/issues/51>)
  * Merge pull request #47 <https://github.com/OUXT-Polaris/quaternion_operation/issues/47> from OUXT-Polaris/feature/bloom_release
  * change target branch
  * Merge pull request #45 <https://github.com/OUXT-Polaris/quaternion_operation/issues/45> from OUXT-Polaris/feature/bloom_release
  * remove old workflow
  * Merge pull request #44 <https://github.com/OUXT-Polaris/quaternion_operation/issues/44> from OUXT-Polaris/feature/bloom_release
  * add new action
  * Contributors: Masaya Kataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Thu, 30 Dec 2021 15:00:00 -0000

ros-humble-quaternion-operation (0.0.8-1jammy) jammy; urgency=high

  * Merge pull request #47 <https://github.com/OUXT-Polaris/quaternion_operation/issues/47> from OUXT-Polaris/feature/bloom_release
  * change target branch
  * Merge pull request #45 <https://github.com/OUXT-Polaris/quaternion_operation/issues/45> from OUXT-Polaris/feature/bloom_release
  * remove old workflow
  * Merge pull request #44 <https://github.com/OUXT-Polaris/quaternion_operation/issues/44> from OUXT-Polaris/feature/bloom_release
  * add new action
  * Contributors: Masaya Kataoka

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Thu, 30 Dec 2021 15:00:00 -0000

ros-humble-quaternion-operation (0.0.7-1jammy) jammy; urgency=high

  * Merge pull request #43 <https://github.com/OUXT-Polaris/quaternion_operation/issues/43> from OUXT-Polaris/fix/pthread
    update CMakeLists.txt
  * update CMakeLists.txt
  * Setup workflow (#42 <https://github.com/OUXT-Polaris/quaternion_operation/issues/42>)
  * Setup workflow (#41 <https://github.com/OUXT-Polaris/quaternion_operation/issues/41>)
  * Setup workflow (#40 <https://github.com/OUXT-Polaris/quaternion_operation/issues/40>)
  * Setup workflow (#39 <https://github.com/OUXT-Polaris/quaternion_operation/issues/39>)
  * Setup workflow (#38 <https://github.com/OUXT-Polaris/quaternion_operation/issues/38>)
  * Setup workflow (#37 <https://github.com/OUXT-Polaris/quaternion_operation/issues/37>)
  * Setup workflow (#36 <https://github.com/OUXT-Polaris/quaternion_operation/issues/36>)
  * Setup workflow (#35 <https://github.com/OUXT-Polaris/quaternion_operation/issues/35>)
  * Setup workflow (#34 <https://github.com/OUXT-Polaris/quaternion_operation/issues/34>)
  * Setup build test workflow (#33 <https://github.com/OUXT-Polaris/quaternion_operation/issues/33>)
  * Setup build test workflow (#32 <https://github.com/OUXT-Polaris/quaternion_operation/issues/32>)
  * Merge pull request #31 <https://github.com/OUXT-Polaris/quaternion_operation/issues/31> from OUXT-Polaris/workflow/build_test
    [Bot] Update workflow
  * Setup build test workflow
  * Merge pull request #30 <https://github.com/OUXT-Polaris/quaternion_operation/issues/30> from OUXT-Polaris/workflow/build_test
    [Bot] Update workflow
  * update repos file
  * apply reformat
  * remove unused test
  * add ouxt_lint_common package
  * Setup build test workflow
  * Merge pull request #28 <https://github.com/OUXT-Polaris/quaternion_operation/issues/28> from OUXT-Polaris/workflow/scenario_test
    [Bot] Update workflow
  * Setup scenario test workflow
  * Merge pull request #27 <https://github.com/OUXT-Polaris/quaternion_operation/issues/27> from OUXT-Polaris/feature/add_flag
    add pthread flag
  * add pthread flag
  * Contributors: Masaya Kataoka, MasayaKataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Wed, 22 Dec 2021 15:00:00 -0000

ros-humble-quaternion-operation (0.0.6-1jammy) jammy; urgency=high

  * add gtest to the depends
  * Merge pull request #26 <https://github.com/OUXT-Polaris/quaternion_operation/issues/26> from OUXT-Polaris/workflow/galactic
    update CI workflow for galactic
  * update .github/workflows/ROS2-Galactic.yaml
  * Contributors: Masaya Kataoka, robotx_buildfarm

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Sun, 11 Jul 2021 15:00:00 -0000

ros-humble-quaternion-operation (0.0.5-1jammy) jammy; urgency=high

  * Merge pull request #25 <https://github.com/OUXT-Polaris/quaternion_operation/issues/25> from OUXT-Polaris/feature/add_compile_flag
    add pthread flag
  * remove dashing workflow
  * add find_package to the depends
  * fix workflow


=== debian/control ===
Source: ros-humble-quaternion-operation
Section: misc
Priority: optional
Maintainer: Masaya Kataoka <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-auto, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-geometry-msgs, ros-humble-ouxt-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-quaternion-operation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-humble-ament-cmake-auto, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: The quaternion_operation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-quaternion-operation//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
